package com.acme.util.ui.bean;

import javax.faces.event.ActionEvent;

public interface ToolbarTemplate
{
    public void loadButtonPressed(ActionEvent actionEvent);
    
    public void searchButtonPressed(ActionEvent actionEvent);
    
    public void clearButtonPressed(ActionEvent actionEvent);
    
    public void addButtonPressed(ActionEvent actionEvent);
    
    public void removeButtonPressed(ActionEvent actionEvent);
    
    public void saveButtonPressed(ActionEvent actionEvent);
    
    public void previousButtonPressed(ActionEvent actionEvent);
    
    public void nextButtonPressed(ActionEvent actionEvent);
    
    public void copyButtonPressed(ActionEvent actionEvent);
    
    public void pasteButtonPressed(ActionEvent actionEvent);
    
    public void rollbackButtonPressed(ActionEvent actionEvent);
    
    public void refreshButtonPressed(ActionEvent actionEvent);
    
    public Object getRecordHistoryEntity(ActionEvent actionEvent);
    
    public void recordHistoryPressed(ActionEvent actionEvent);
    
   
}
